<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  
			   title="Detalhe de  Cor Básica"
			  maxWidth="1200" maxHeight="700"   
			   >
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="CorBasicaExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.CorBasica;
			
			[Bindable]
			public var corBasica : CorBasica = null;
			
			private var corBasicaComponenteCadastro: CorBasicaComponenteCadastro;
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				corBasicaComponenteCadastro = new CorBasicaComponenteCadastro();
				corBasicaComponenteCadastro.corBasica = this.corBasica;
				corBasicaComponenteCadastro.addEventListener("CorBasicaAtualizadoEvent", atualizarCorBasicaPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(corBasicaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(corBasicaComponenteCadastro);
			}
			
			private function atualizarCorBasicaPorAtualizacaoResultHandler(e:Event):void
			{
				this.corBasica = corBasicaComponenteCadastro.corBasica;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{
				Alert.yesLabel = "Sim";
				Alert.noLabel = "Não";
				Alert.show("Estas informações serão perdidas. Deseja EXCLUÍ-LAS assim mesmo?", "Exclusão", Alert.YES | Alert.NO, this, alertClickHandler);
			}
			
			
			private function alertClickHandler(event:CloseEvent):void{
				var outputMessage:String = "";
				switch (event.detail){
					case Alert.YES:
						var remoteObject: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("corBasicaService", excluirResultHandler);	
						remoteObject.getOperation("excluir").send(this.corBasica);
						break;
					case Alert.NO:
						break;
				}
			}			
			
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("CorBasicaExcluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{corBasica.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Descrição:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{corBasica.descricao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>